Which MySQL Version?

Hey Guys,

I browse a lot of time and try different ways to fix but i dont get it. I read the Wiki and use the Search function.

I use cmake to get the .sln (VS 2015 v14.0) 32bit

before i install the mySQL 5.5.54 (32bit) (installer)

cmake find the include dir. and the other.

i copy the libmysql.dll and the dll’s from OpenSSL 1.0.2k 32bit (not light) to the bnetserver.exe directory (right?)

but now i get the 0x00007b error because i do all right and i dont know why…

which mysql version you can recommend?

or what i do wrong?

i do all things from the wiki step by step.

Somewhere, somehow, you are mixing 32 bit vs 64 bit DLLs.

Can you post your CMake output?

Detected 32-bit platform

MSVC: Enabled large address awareness

MSVC: Enabled SSE2 support

MSVC: Disabled Safe Exception Handlers for debug builds

MSVC: Enabled increased number of sections in object files

MSVC: Overloaded standard names

MSVC: Disabled NON-SECURE warnings

MSVC: Disabled POSIX warnings

MSVC: Disabled generic compiletime warnings

Found MySQL library: D:/Program Files (x86)/MySQL Server 5.5/lib/libmysql.lib

Found MySQL headers: D:/Program Files (x86)/MySQL Server 5.5/include

Found MySQL executable: D:/Program Files (x86)/MySQL Server 5.5/bin/mysql.exe

Found git binary : C:/Program Files/Git/cmd/git.exe

  • TrinityCore revision : 047c6f072ba0 2017-02-25 22:13:00 +0100 (master branch)

  • Install core to : C:/Program Files (x86)/TrinityCore

  • Build world/auth : Yes (default)

  • Build with scripts : Yes (static)

  • Build map/vmap tools : No (default)

  • Build core w/PCH : Yes (default)

  • Build scripts w/PCH : Yes (default)

  • Show compile-warnings : No (default)

  • Use coreside debug : No (default)

  • Show source tree : Yes (hierarchical)

  • Use GIT revision hash : Yes (default)

Boost version: 1.60.0

Found the following Boost libraries:

system

filesystem

thread

program_options

iostreams

Found OpenSSL library: optimized;D:/Project/OpenSSL-Win32/lib/VC/ssleay32MD.lib;D:/Project/OpenSSL-Win32/lib/VC/libeay32MD.lib;debug;D:/Project/OpenSSL-Win32/lib/VC/ssleay32MDd.lib;D:/Project/OpenSSL-Win32/lib/VC/libeay32MDd.lib

Found OpenSSL headers: D:/Project/OpenSSL-Win32/include

  • Script configuration (static):
    |

± worldserver

| ± Commands

| ± Custom

| ± EasternKingdoms

| ± Events

| ± Kalimdor

| ± Maelstrom

| ± Northrend

| ± OutdoorPvP

| ± Outland

| ± Pet

| ± Spells

| ± World

|

Configuring done

Generating done

That seems fine. The problem is probably in one of the DLLs that you copied to the worldserver directory.

Make sure to check that all the 3 DLL files (libeay32.dll , ssleay32.dll and libmysql.dll) are the same version in your core folder as the ones found by CMake (used during compile time in VS2015). Any single file different from the ones CMake finds, while the other 2 are correct, is enough to get that startup error.

BTW, your error code is incomplete, there should be 8 characters after 0x (you have only provided 6). Stating the exact error message is usually more helpful in tracking the cause of your error message.

Get the dll from another ziped mysql server an now its working. dont know why but there should be a problem with the msi version :confused: thanks for your help :slight_smile:

You shouldn’t have to retrieve the dll from another source.

i dont, but with the dll from the packed version of the mysql server (same version) it works